Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class ControlServerHelper

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JToolBar
                              |
                              +--org.w3c.jigadmin.editors.ControlServerHelper

All Implemented Interfaces:
  javax.accessibility.Accessible, EditorInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, ResourceActionSource, java.io.Serializable, ServerHelperInterface, javax.swing.SwingConstants

public class ControlServerHelper
extends javax.swing.JToolBar
implements ServerHelperInterface, ResourceActionSource

The server helper for the control resource.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JToolBar
`javax.swing.JToolBar.AccessibleJToolBar, javax.swing.JToolBar.Separator`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected static java.lang.String` | `ADD_A`
`protected java.lang.String` | `addBTT`
`protected RemoteResourceWrapper` | `control`
`protected static java.lang.String` | `DELE_A`
`protected java.lang.String` | `deleBTT`
`protected static java.lang.String` | `EDIT_A`
`protected java.lang.String` | `editBTT`
`protected static java.lang.String` | `HELP_A`
`protected java.lang.String` | `helpBTT`
`protected java.util.Vector` | `listeners`
`protected java.lang.String` | `name`
`protected static java.lang.String` | `REFE_A`
`protected java.lang.String` | `refeBTT`
`protected static java.lang.String` | `REIN_A`
`protected java.lang.String` | `reinBTT`
`protected static java.lang.String` | `SAVE_A`
`protected java.lang.String` | `saveBTT`
`protected static java.lang.String` | `STOP_A`
`protected java.lang.String` | `stopBTT`
`protected java.lang.String` | `tooltip`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface org.w3c.jigadmin.editors.ServerHelperInterface
`TOOLTIP_P`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ControlServerHelper()` Constructor.

Method Summary
`void` | `addResourceActionListener(ResourceActionListener listener)` Add a ResourceActionListener.
`protected void` | `build()` Build the interface.
`protected void` | `fireResourceEvent(int type)` Fire a resource event.
`java.awt.Component` | `getComponent()` Get the helper Component
`java.lang.String` | `getName()` Get the helper name.
`java.lang.String` | `getToolTip()` Get the helper tooltip
`void` | `initialize(java.lang.String name, RemoteResourceWrapper rrw, java.util.Properties p)` Initialize this editor.
`void` | `removeResourceActionListener(ResourceActionListener listener)` Remove a ResourceActionListener.
`void` | `setAddToolTipText(java.lang.String tooltip)` Set the tooltip for the add button.
`void` | `setDeleteToolTipText(java.lang.String tooltip)` Set the tooltip for the delete button.
`void` | `setEditToolTipText(java.lang.String tooltip)` Set the tooltip for the edit button.
`void` | `setHelpToolTipText(java.lang.String tooltip)` Set the tooltip for the help button.
`void` | `setReferenceToolTipText(java.lang.String tooltip)` Set the tooltip for the information button.
`void` | `setReindexToolTipText(java.lang.String tooltip)` Set the tooltip for the reindex button.
`void` | `setResOpEnabled(boolean onoff)` Enable or disable the resource operations.
`void` | `setSaveToolTipText(java.lang.String tooltip)` Set the tooltip for the save button.
`void` | `setStopToolTipText(java.lang.String tooltip)` Set the tooltip for the stop button.

Methods inherited from class javax.swing.JToolBar
`add, addImpl, addSeparator, addSeparator, createActionChangeListener, createActionComponent, getAccessibleContext, getComponentAtIndex, getComponentIndex, getMargin, getOrientation, getUI, getUIClassID, isBorderPainted, isFloatable, isRollover, paintBorder, paramString, setBorderPainted, setFloatable, setLayout, setMargin, setOrientation, setRollover, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### control

    protected RemoteResourceWrapper control

### listeners

    protected java.util.Vector listeners

### name

    protected java.lang.String name

### tooltip

    protected java.lang.String tooltip

### SAVE_A

    protected static final java.lang.String SAVE_A

See Also:
  Constant Field Values

### STOP_A

    protected static final java.lang.String STOP_A

See Also:
  Constant Field Values

### HELP_A

    protected static final java.lang.String HELP_A

See Also:
  Constant Field Values

### DELE_A

    protected static final java.lang.String DELE_A

See Also:
  Constant Field Values

### ADD_A

    protected static final java.lang.String ADD_A

See Also:
  Constant Field Values

### REIN_A

    protected static final java.lang.String REIN_A

See Also:
  Constant Field Values

### REFE_A

    protected static final java.lang.String REFE_A

See Also:
  Constant Field Values

### EDIT_A

    protected static final java.lang.String EDIT_A

See Also:
  Constant Field Values

### saveBTT

    protected java.lang.String saveBTT

### stopBTT

    protected java.lang.String stopBTT

### helpBTT

    protected java.lang.String helpBTT

### deleBTT

    protected java.lang.String deleBTT

### addBTT

    protected java.lang.String addBTT

### reinBTT

    protected java.lang.String reinBTT

### refeBTT

    protected java.lang.String refeBTT

### editBTT

    protected java.lang.String editBTT

Constructor Detail

### ControlServerHelper

    public ControlServerHelper()

  Constructor.

Method Detail

### addResourceActionListener

    public void addResourceActionListener(ResourceActionListener listener)

  Add a ResourceActionListener.

  Specified by:
    `addResourceActionListener` in interface `ResourceActionSource`
  Parameters:
    `listener` - the ResourceActionListener to add

### removeResourceActionListener

    public void removeResourceActionListener(ResourceActionListener listener)

  Remove a ResourceActionListener.

  Specified by:
    `removeResourceActionListener` in interface `ResourceActionSource`
  Parameters:
    `listener` - the ResourceActionListener to remove

### fireResourceEvent

    protected void fireResourceEvent(int type)

  Fire a resource event.

  Parameters:
    `type` - the resource event type
  See Also:
    `org.w3c.jigadmin.event.ResourceActionEvent`

### setResOpEnabled

    public void setResOpEnabled(boolean onoff)

  Enable or disable the resource operations.

  Parameters:
    `onoff` - a boolean.

### setSaveToolTipText

    public void setSaveToolTipText(java.lang.String tooltip)

  Set the tooltip for the save button.

  Parameters:
    `tooltip` - the tooltip

### setStopToolTipText

    public void setStopToolTipText(java.lang.String tooltip)

  Set the tooltip for the stop button.

  Parameters:
    `tooltip` - the tooltip

### setHelpToolTipText

    public void setHelpToolTipText(java.lang.String tooltip)

  Set the tooltip for the help button.

  Parameters:
    `tooltip` - the tooltip

### setDeleteToolTipText

    public void setDeleteToolTipText(java.lang.String tooltip)

  Set the tooltip for the delete button.

  Parameters:
    `tooltip` - the tooltip

### setAddToolTipText

    public void setAddToolTipText(java.lang.String tooltip)

  Set the tooltip for the add button.

  Parameters:
    `tooltip` - the tooltip

### setReindexToolTipText

    public void setReindexToolTipText(java.lang.String tooltip)

  Set the tooltip for the reindex button.

  Parameters:
    `tooltip` - the tooltip

### setReferenceToolTipText

    public void setReferenceToolTipText(java.lang.String tooltip)

  Set the tooltip for the information button.

  Parameters:
    `tooltip` - the tooltip

### setEditToolTipText

    public void setEditToolTipText(java.lang.String tooltip)

  Set the tooltip for the edit button.

  Parameters:
    `tooltip` - the tooltip

### initialize

    public void initialize(java.lang.String name,
                           RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Initialize this editor.

  Specified by:
    `initialize` in interface `EditorInterface`
  Parameters:
    `name` - the editor name
    `rrw` - the RemoteResourceWrapper wrapping the editor node.
    `p` - the editor properties

### build

    protected void build()

  Build the interface.

### getName

    public java.lang.String getName()

  Get the helper name.

  Specified by:
    `getName` in interface `ServerHelperInterface`
  Overrides:
    `getName` in class `java.awt.Component`
  Returns:
    a String instance

### getToolTip

    public java.lang.String getToolTip()

  Get the helper tooltip

  Specified by:
    `getToolTip` in interface `ServerHelperInterface`
  Returns:
    a String

### getComponent

    public java.awt.Component getComponent()

  Get the helper Component

  Specified by:
    `getComponent` in interface `EditorInterface`
  Returns:
    a Component instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD